
QGIS Application - Bug report #16431

Cannot save empty selection in modelbuilder

2017-04-10 10:39 AM - evangelos vafeiadis

Status: Closed

Priority: Normal

Assignee: evangelos vafeiadis

Category: Unknown

Affected QGIS version:2.18.5 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24340

Description

When executing a 'select by location' algorithm in modelbuilder, the result cannot be saved if the selection has 0 features. The error

message is :

Error executing algorithm OUTPUT float division by zero See log for more details

Associated revisions

Revision 1ac053fc - 2017-04-27 09:54 AM - Alexander Bruy

[processing] prevent division by zero in save selected features

algorithm (fix #16431)

Revision 8e3e30a2 - 2017-04-27 09:58 AM - Alexander Bruy

[processing] prevent division by zero in save selected features

algorithm (fix #16431)

History

#1 - 2017-04-24 04:25 AM - evangelos vafeiadis

- Assignee set to evangelos vafeiadis

#2 - 2017-04-27 12:45 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"1ac053fc261250d475f46013dc15dd0d6e60d549".

#3 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown
